net.minecraft.client.mco

## Enum GuiScreenConfirmationType

- java.lang.Object
- - java.lang.Enum<GuiScreenConfirmationType>
  - - net.minecraft.client.mco.GuiScreenConfirmationType

- All Implemented Interfaces:
    Serializable, Comparable<GuiScreenConfirmationType>

      public enum GuiScreenConfirmationType
      extends Enum<GuiScreenConfirmationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Info`
    `Warning`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `field_140072_d`
    `int` | `field_140075_c`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GuiScreenConfirmationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GuiScreenConfirmationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Warning

          public static final GuiScreenConfirmationType Warning

    - #### Info

          public static final GuiScreenConfirmationType Info

  - ### Field Detail

    - #### field_140075_c

          public final int field_140075_c

    - #### field_140072_d

          public final String field_140072_d

  - ### Method Detail

    - #### values

          public static GuiScreenConfirmationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GuiScreenConfirmationType c : GuiScreenConfirmationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GuiScreenConfirmationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null